
#
# To just compile everything normally, comment in the appropriate
# version for your system, and just type
#     make
#
# Bear in mind that you'll need a little-endian system to make
# this stuff work.  If you need to know what kind you have, try
# compiling endian.c and running it.
#

#-------------These definitions are for MS-DOS----------------
VERSION=QUBE_MSDOS
CC=c:/tc/bin/tcc.exe -1- -ml -c -O -f287
LINK=c:/tasm/bin/tlink.exe @linkinfo.txt
EXE=.exe
OBJ=.obj
RM=del
PRIVATE=
#----------------End of MS-DOS definitions--------------------

#--------------These definitions are for UNIX-----------------
#VERSION=QUBE_UNIX
#CC=gcc -O -c
#LINK=gcc -o qube qube.o image.o entities.o gfx.o tree.o pak.o xgfx.o vertex.o edge.o -lX11 -lm
#EXE=
#OBJ=.o
#RM=rm
#PRIVATE=xgfx.o
#-----------------End of UNIX definitions---------------------


qube$(EXE):	qube$(OBJ) image$(OBJ) entities$(OBJ) gfx$(OBJ) tree$(OBJ) pak$(OBJ) vertex$(OBJ) edge$(OBJ) $(PRIVATE)
		$(LINK)

qube$(OBJ):	qube.c qube.h image.h entities.h gfx.h tree.h pak.h vertex.h edge.h
		$(CC) -D$(VERSION) qube.c

image$(OBJ):	image.c qube.h image.h
		$(CC) -D$(VERSION) image.c

entities$(OBJ): entities.c qube.h entities.h
		$(CC) -D$(VERSION) entities.c

tree$(OBJ):	tree.c qube.h tree.h
		$(CC) -D$(VERSION) tree.c

gfx$(OBJ):	gfx.c qube.h gfx.h entities.h
		$(CC) -D$(VERSION) gfx.c

pak$(OBJ):	pak.c qube.h pak.h
		$(CC) -D$(VERSION) pak.c

vertex$(OBJ):	vertex.c vertex.h qube.h
		$(CC) -D$(VERSION) vertex.c

edge$(OBJ):	edge.c edge.h qube.h
		$(CC) -D$(VERSION) edge.c

xgfx.o:		xgfx.c xgfx.h
		$(CC) -D$(VERSION) xgfx.c

#
# Clean: Clean up that leftover junk lying around.
#

clean:
		$(RM) qube$(EXE)
		$(RM) *$(OBJ)

